"""
This module contains some utility for NPK when used in a interactive command-line interface

"""
import sys
from NPK import *

#--------------------------------------------

def build_doc():
    """ go through the ProcessXX.py files located in dir to build some kind of documentation
    """
    import do_doc

def test():
    "various tests to check speed of buffer copying"
    print "SIZE:",get_si1_1d()
    #pour 16k
    import time
    x = []
    t = time.clock()

    #for i in range(get_si1_1d()):
    #    x.append(val1d(i))  # 0.38
    #    setval(i+1,x[i])    #5.36

    #x = range(get_si1_1d())
    #for i in range(get_si1_1d()):
    #    x[i]=val1d(i)   # 0.36

    #x= map(val1d, range(get_si1_1d()))  # 0.25

    x = [val1d(i) for i in range(get_si1_1d())]    # 0.28
    #[setval(i+1,x[i]) for i in range(get_si1_1d())] # 5.0

    t=time.clock()-t
    print "----------fin du timer", str(t)

def status():
    """print a summary of the internal state of the kernel"""
    d = get_dim()
    if d == 1:
        d1 = "- current working buffer"
    else:
        d1 = ""
    if d == 2:
        d2 = "- current working buffer"
    else:
        d2 = ""
    if d == 3:
        d3 = "- current working buffer"
    else:
        d3 = ""
    dim(1)
    com_max()
    report = """
DIM 1 %s
=====
   buffer size : %i - itype %i
   values from : %f to %f
Spectral width : %f
%i peak(s) in database

"""%(d1,get_si1_1d(),get_itype_1d(),geta_max(2),geta_max(1),get_specw_1d(),get_npk1d())

    dim(2)
    com_max()
    report = report+"""
DIM 2 %s
=====
    buffer sizes : %i x %i - itype %i
     values from : %f to %f
Spectral widthes : %f x %f
%i peak(s) in database

"""%(d2,get_si1_2d(),get_si2_2d(),get_itype_2d(),geta_max(2),geta_max(1),get_specw_1_2d(),get_specw_2_2d(),get_npk2d())
    dim(3)
    com_max()
    report = report+"""
DIM 3 %s
=====
    buffer sizes : %i x %i x %i - itype %i
     values from : %f to %f
Spectral widthes : %f x %f x %f
%i peak(s) in database

"""%(d3,get_si1_3d(),get_si2_3d(), get_si3_3d(),get_itype_3d(),geta_max(2),geta_max(1),get_specw_1_3d(),get_specw_2_3d(),get_specw_3_3d(),get_npk3d())
    print "\n"+report
    dim(d)


#--------------------------------------------


sys.ps1="NPK>"
sys.ps2="NPK..."
print """
NPK interactive shell
Type ^D to exit
"""
