"""
The NPK Package

"""
__version__ = "0.982"
__author__ = "Marc A. Delsuc <ma.delsuc@cbs.cnrs.fr>, Vincent Catherinot <v.catherinot@nmrtec.com>, Dominique Tramesel <d.tramesel@nmrtec.com>"
__date__ = "jan 2007"


#### Header to set-up the whole NPK environment

# Import NPK java environment
import sys
if 1:
#try:
    import nmrtec.nmrNotebook.kernel.Kore
    nmrtec.nmrNotebook.kernel.Kore.init()
if 0:
#except:
    print """
    NPK - the python front end for processing NMR data-sets
    requires to run within the java version of python : jython
    
    you are either trying to run NPK from python rather than jython
            or     lacking the one of the file (*.jar (all platforms) or *.so (linux) /*.dll (winodows) /*.jnilib (MacOs))
    """
    sys.exit(1)

# determine own path
import Generic
import os
NPK_PATH = os.path.dirname(Generic.__file__)
#print os.path.join(NPKPATH,"Param")

# delay for apodisation
APOD_DELAY = 0

def __get_apod_delay():
    return APOD_DELAY

def __set_apod_delay(v):
    global APOD_DELAY
    APOD_DELAY = v

try:
    # Import NMR python environment
    from Generic import *
    from Param import *
    from Process1D import *
    from Process2D import *
    from Process3D import *
    from GenericDosy import *
    from ProcessDosy import *
    from AujMac import *

except:
    raise
    print "import of NMR environment failed"
    print sys.exc_info()[0] 
    sys.exit(1)

